cURL
curl --request PUT \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/filter \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"filter":{"filterSet":[{"isSymbol":false,"fieldId":"fldxxxxxxxxxxxxxxxx","value":"value","operator":"is"}],"conjunction":"and"}}'const url = 'https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/filter';
const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"filter":{"filterSet":[{"isSymbol":false,"fieldId":"fldxxxxxxxxxxxxxxxx","value":"value","operator":"is"}],"conjunction":"and"}}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'PUT',
hostname: 'app.teable.ai',
port: null,
path: '/api/table/%7BtableId%7D/view/%7BviewId%7D/filter',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
filter: {
filterSet: [
{
isSymbol: false,
fieldId: 'fldxxxxxxxxxxxxxxxx',
value: 'value',
operator: 'is'
}
],
conjunction: 'and'
}
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"filter\":{\"filterSet\":[{\"isSymbol\":false,\"fieldId\":\"fldxxxxxxxxxxxxxxxx\",\"value\":\"value\",\"operator\":\"is\"}],\"conjunction\":\"and\"}}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("PUT", "/api/table/%7BtableId%7D/view/%7BviewId%7D/filter", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
view
Put table view filter
Update view filter
PUT
/
table
/
{tableId}
/
view
/
{viewId}
/
filter
cURL
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

